#509 closed defect (fixed)

dosfs/fat.c: bogus return values in _fat_block_[read|write]

Reported by: Ralf Corsepius Owned by: Jennifer Averett
Priority: highest Milestone: 2
Component: fs/fat Version: 4.7
Severity: critical Keywords:
Cc: bugs@…, joel.sherrill@… Blocked By:
Blocking:

Description

_fat_block_read and _fat_block_write return error codes
instead of -1 in case of errors, as they are supposed to do
according to the comments documenting these functions.

Release:
RTEMS-4.6/RTEMS-4.7

Attachments (1)

rtems-rc-20031022-1.diff (825 bytes) - added by Ralf Corsepius on Dec 3, 2006 at 1:31:12 PM.
rtems-rc-20031022-1.diff

Download all attachments as: .zip

Change History (3)

comment:1 Changed on Oct 22, 2003 at 3:35:43 PM by Joel Sherrill

Status: assignedclosed

State-Changed-From-To: open->closed
State-Changed-Why: Patch applied to 4.6 both branch and trunk.

Changed on Dec 3, 2006 at 1:31:12 PM by Ralf Corsepius

Attachment: rtems-rc-20031022-1.diff added

rtems-rc-20031022-1.diff

comment:2 Changed on Oct 10, 2017 at 6:50:58 AM by Sebastian Huber

Component: fsfs/fat
Note: See TracTickets for help on using tickets.